def det(u,v):
    return u[0]*v[1] - u[1]*v[0]

def intersection(D,d):
    # D = (a , b, c) représente la droite d'équation ax + by + c = 0
    # d = (a' , b' , c') représente la droite d'équation a'x + b'y + c' = 0
    u = ( d[0] , d[1] )
    v = ( D[0] , D[1] )
    determinant = det(u,v)
    if determinant == 0:
        if d[0] / D[0] == d[2] / D[2]:
            return 'Droites confondues'
        else:
            return 'Droites strictement parallèles'
    else:
        vx = (D[0],d[0])
        vy = (D[1],d[1])
        vc = (-D[2] , -d[2])
        x = det( vy , vc ) / determinant
        y = -det( vx , vc ) / determinant
        return x,y
